Main Page Widgets Namespaces Book

# Glib::PropertyProxy_ReadOnly< T > Class Template Reference

Inheritance diagram for Glib::PropertyProxy_ReadOnly< T >:

[legend]
List of all members.

## Detailed Description

### template <class T>
class Glib::PropertyProxy_ReadOnly< T >

This property is read-only, so you can not set the value.

See the PropertyProxy base class for more information.

## Public Types
typedef T | PropertyType
## Public Member Functions
| PropertyProxy_ReadOnly (Object* obj, const char* name)
PropertyType | get_value () const
| operator PropertyType () const

## Member Typedef Documentation

template <class T>
typedef T Glib::PropertyProxy_ReadOnly<T>::PropertyType

## Constructor & Destructor Documentation

template <class T>
Glib::PropertyProxy_ReadOnly<T>::PropertyProxy_ReadOnly | ( | Object* | obj,
|  | const char* | name
| ) | `[inline]`

## Member Function Documentation

template <class T>
PropertyType Glib::PropertyProxy_ReadOnly<T>::get_value | ( |  | ) | const`[inline]`

template <class T>
Glib::PropertyProxy_ReadOnly<T>::operator PropertyType | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- propertyproxy.h